import request from '@/utils/request'

// 表格建模属性获取
export function getAttrs(params) {
  return request({
    url: '/md/general/getColumnList',
    method: 'get',
    params
  })
}

// 表格建模属性获取
export function saveTableData(data) {
  return request({
    url: '/md/general/saveTbaleModel',
    method: 'post',
    data
  })
}
// 查询数据配置
export function getTbaleModel(params) {
  return request({
    url: '/md/general/getTbaleModel',
    method: 'post',
    params
  })
}

// 表单建模保存数据配置
export function saveFormModel(data) {
  return request({
    url: '/md/general/saveFormModel',
    method: 'post',
    data
  })
}

// 表单建模查询数据配置
export function getFormModel(params) {
  return request({
    url: '/md/general/getFormModel',
    method: 'get',
    params
  })
}

// 表单建模查询数据配置--根据模型id和字段id查询数据；
export function getDataByModelIdAndColumnId(params) {
  return request({
    url: '/md/general/getDataByModelIdAndColumnId',
    method: 'get',
    params
  })
}
// 表单建模查询数据配置--根据模型id和字段id查询数据；
export function getTreeCascadeData(params) {
  return request({
    url: '/md/general/getTreeCascadeData',
    method: 'get',
    params
  })
}
